Bug 238878 - system-config-lvm deletes ALL data in a partition with no warning
system-config-lvm deletes ALL data in a partition with no warning
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
rawhide
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2007-05-03 12:20 EDT by Vladimir Ivanovic
Modified: 2008-04-13 17:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 14:52:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vladimir Ivanovic 2007-05-03 12:20:39 EDT
Pressing the "Create New Logical Volume" button when viewing the logical view of
a volume group creates a new file system on the associated partition without
first notifying users that they are about to lose ALL their data on that partition.

For people who are not LVM experts, it is reasonable to assume that as long as
physical volumes are not changed, no data should be lost. So, imagine my
surprise when I discovered that the entire contents of my home directory were
wiped out without any warning. (Fortunately, I had a backup.)

I believe that elsewhere system-config-lvm does warn about losing data.
Comment 1 Vladimir Ivanovic 2007-05-03 12:21:42 EDT
FYI: system-config-lvm v1.1.1
Comment 2 Charles R. Anderson 2008-02-07 19:57:31 EST
Is this still an issue in F9?  We still have v1.1.1 there.  This seems pretty
serious--adding to F9Blocker.  Upstream should either start maintaining and
fixing this tool, or we should remove it from Fedora completely--or at least not
install it by default.
Comment 3 Jesse Keating 2008-03-31 13:49:13 EDT
I'm marking this as needinfo.  We need to know if this still happens with Fedora
9's system-config-lvm.  If no response in a few days we'll likely close this
bug, or at least remove it from the blocker list.
Comment 4 Bill Nottingham 2008-03-31 13:57:10 EDT
In one test, it appears to only use free space, not overwrite existing space.
Comment 5 Jim Parsons 2008-03-31 14:52:27 EDT
I have never been able to reproduce this issue. In addition, I know this
application is very popular and heavily used - I speak with users at conferences
often, as well as RHEL customers who use it for complex cluster environments. If
this were an issue, I would be pounded with bugs on it, so marking NOTABUG
Comment 6 Vladimir Ivanovic 2008-04-13 17:33:13 EDT
(In reply to comment #5)
> I have never been able to reproduce this issue. In addition, I know this
> application is very popular and heavily used - I speak with users at conferences
> often, as well as RHEL customers who use it for complex cluster environments. If
> this were an issue, I would be pounded with bugs on it, so marking NOTABUG

What happens when you press the "Create New Logical Volume" button when viewing
the logical view of a volume group using `system-config-lvm'? Please do this on
the partition that contains your home directory.

Note You need to log in before you can comment on or make changes to this bug.